ublas: boost::numeric::ublas::zero_vector< T, ALLOC > Class Template Reference

# boost::numeric::ublas::zero_vector< T, ALLOC > Class Template Reference

A zero vector of type `T` and a given `size` A zero vector of type `T` and a given `size`. This is a virtual vector in the sense that no memory is allocated for storing the zero values: it still acts like any other vector. However assigning values to it will not change the zero vector into a normal vector. It must first be assigned to another normal vector by any suitable means. Its memory footprint is constant.

Inherits vector_container< zero_vector< T, ALLOC > >.

List of all members.

## Classes

class | const_iterator

## Public Types

typedef ALLOC::size_type | size_type
typedef ALLOC::difference_type | difference_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef const vector_reference < const self_type > | const_closure_type
typedef vector_reference < self_type > | closure_type
typedef sparse_tag | storage_category
typedef const_iterator | iterator
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | zero_vector (size_type size)
BOOST_UBLAS_INLINE | zero_vector (const zero_vector &v)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE void | resize (size_type size, bool=true)
BOOST_UBLAS_INLINE const_pointer | find_element (size_type i) const
BOOST_UBLAS_INLINE const_reference | operator() (size_type) const
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE zero_vector & | operator= (const zero_vector &v)
BOOST_UBLAS_INLINE zero_vector & | assign_temporary (zero_vector &v)
BOOST_UBLAS_INLINE void | swap (zero_vector &v)
BOOST_UBLAS_INLINE const_iterator | find (size_type) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
template<class Archive >
void | serialize (Archive &ar, const unsigned int)

## Friends

BOOST_UBLAS_INLINE friend void | swap (zero_vector &v1, zero_vector &v2)

### template<class T, class ALLOC>
class boost::numeric::ublas::zero_vector< T, ALLOC >